<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title="编辑资料">

        <TextView
            android:id="@+id/tv_save"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_marginEnd="@dimen/dp_16"
            android:text="保存"
            android:textColor="@color/color_125ffe"
            android:textSize="@dimen/sp_15"
            android:textStyle="bold" />
    </com.example.base.widget.TitleBar>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/mTitleBar">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_avatar"
                android:layout_width="@dimen/dp_100"
                android:layout_height="@dimen/dp_100"
                android:layout_marginTop="@dimen/dp_40"
                android:src="@mipmap/ic_default_avatar"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_username_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_30"
                android:layout_marginTop="@dimen/dp_55"
                android:text="昵称"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/sp_15"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/iv_avatar" />

            <TextView
                android:id="@+id/tv_username"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginStart="@dimen/dp_30"
                android:layout_marginTop="@dimen/dp_12"
                android:layout_marginEnd="@dimen/dp_30"
                android:background="@drawable/shape_dfdfdf_line_cor8"
                android:gravity="center_vertical"
                android:lines="1"
                android:maxLines="1"
                android:padding="@dimen/dp_14"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/sp_15"
                app:layout_constraintDimensionRatio="h,315:48"
                app:layout_constraintTop_toBottomOf="@id/tv_username_title" />

            <TextView
                android:id="@+id/tv_vip_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_30"
                android:layout_marginTop="@dimen/dp_30"
                android:text="会员"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/sp_15"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_username" />

            <TextView
                android:id="@+id/tv_vip"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginStart="@dimen/dp_30"
                android:layout_marginTop="@dimen/dp_12"
                android:layout_marginEnd="@dimen/dp_30"
                android:background="@drawable/shape_dfdfdf_line_cor8"
                android:gravity="center_vertical"
                android:lines="1"
                android:maxLines="1"
                android:padding="@dimen/dp_14"
                android:text="未开通"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/sp_15"
                app:layout_constraintDimensionRatio="h,315:48"
                app:layout_constraintTop_toBottomOf="@id/tv_vip_title" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.core.widget.NestedScrollView>
</androidx.constraintlayout.widget.ConstraintLayout>